Problem with instalation of mods

Nitrado now has an official Discord server to bring communities, friends and other gamers together!
Join the Nitrado Community Discord now and share your experiences and knowledge with others!

Click here to go to the Discord Server!
  • Hi,

    Im trying to install some mods to my minecraft server and i cant install more than 3 getting a lot of problems to get it;

    First of all i check the minecraft server is OK and i can access to it, then i install 1 mod and check if i can access too, some of them give me the problem directly others let me get into the server, then when i have 1 mod operative i install another one and sometimes it let me do it but others not, when not then i remove the last mod and check again that i can enter again, it should be but no, sometimes it dont let me but the mod worked perfectly before i install the other one, i have done this until 3 mods installed, then i put the fourth give me the error, then the other 3 doesnt works too, i had to restarted the server a millon times just doing this with what it takes to start ;(;(;(


    The error message is: io.netty.channel.AbstractChannel$AnnotatedConnectException: Connection refused: no further information


    i've tried everything on internet, power off firewall, put port on ip, tried with another version, diferents mods, i dont know what more can i do...



    Any help i would be so grateful if i cant make the mods work, i'll have to find another hosting server to get it :(

  • First of all, some more informations would be nice:


    what type of server do you use? (bukkit/spigot, forge...)

    if you get a crash log, please post that too.

    and what types of mods do you want to install?


    i would guess that you try to install a mod that would not run with the installed version of the server or maybe it interruppts with an already installed mod.

    sometimes you have to use an older version of the mod, to make it run on the current server version.

  • I am using forge and tried with 1.14.4, 1.13.2, 1.12.2, 1.7.10


    The only message i got is "The error message is: io.netty.channel.AbstractChannel$AnnotatedConnectException: Connection refused: no further information", on server doesnt show anything, like nothing happends.


    I understand the compatibility issues but the point is that if 1 mod works, then i put another one that doesnt works if i remove the second one that not works why the first one doesnt works too after remove the second one. I


    Thanks for your time :)

  • if i get it right then you say that:


    if u put mod A on the serer it works fine. if you put mod B on the server then nothing works.

    and if you try B first and then A, the same issue happens?


    what mods are we exactly talking about?


    the error message means that the server cant start at all and crash, so there should be a crash report would be nice.

  • hmmm... :S


    if the server does not start with two mods, there must be an error!

    please attach the latest.log to it once. and if available, the crash-report too.

    :/

    MfG Conan ;)


    Nitrado: Conan

    Minecraft: Conan

    Discord: Conan#3864


    Fragen u. Antworten rund um Minecraftserver (Vanilla/Forge-Modpack/Bukkit-Spigot-Paper)

    Nicht alles aber vieles! Bisher wurde noch sogut wie jeder Server zum starten gebracht!

    Wollte nur mal sagen:

    "Ihr könnt mich gern in Discord hinzufügen, aber Antworten gibts erst abends (am WE auch mal ehr ^^) weil ich auch Arbeiten muss!"

    Daher bleibt mir für`s Forum nur noch wenig Zeit!


    -- Minecraft only --

  • Well i have find the point of it, i didnt knew that forge have versions too and you have to look for compatibility of forge client-server, version c-s, forge vrsion mod the same or lower than forge version c-s. I have change to version 1.12.2, i think the most stable because the problem of doesnt works after remove a invalid mod not happended yet.


    Thanks so much for your help!! <3

  • Well i have find the point of it, i didnt knew that forge have versions too and you have to look for compatibility of forge client-server, version c-s, forge vrsion mod the same or lower than forge version c-s. I have change to version 1.12.2, i think the most stable because the problem of doesnt works after remove a invalid mod not happended yet.


    Thanks so much for your help!! <3